#
# spec file for package python3-djangotoolbox
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-djangotoolbox
Version:        1.8.0
Release:        2.6
Summary:        Djangotoolbox for Django-nonrel
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/django-nonrel/djangotoolbox
Source:         https://files.pythonhosted.org/packages/source/d/djangotoolbox/djangotoolbox-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Djangotoolbox provides a common API for running Django on
non-relational/NoSQL databases (currently via Django-nonrel).

In djangotoolbox.db you can find base classes for writing
non-relational DB backends. Read Writing a non-relational Django
backend for more information.

In djangotoolbox.fields you can find several common field types for
non-relational DB backends (ListField, SetField, DictField, RawField,
BlobField).

The djangotoolbox.admin module provides admin overrides for making
django.contrib.auth work correctly in the admin UI. Simply add
'djangotoolbox' to INSTALLED_APPS after django.contrib.admin. This
will disable features that require JOINs. If you still need permission
handling you should use the nonrel permission backend.

%prep
%setup -q -n djangotoolbox-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%doc README.rst LICENSE CHANGELOG.rst

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sun Jul 19 2015 arun@gmx.de
- update to version 1.8.0:
  * Added support for Django 1.8 in the db package (Thanks @kavdev)
* Mon Jul 13 2015 arun@gmx.de
- update to version 1.7.0:
  * Add support for Django 1.7
* Sat Apr  4 2015 arun@gmx.de
- initial version
